<?php

namespace app\common\state;

class LivingAllowanceState {

//保存
    public const LA_SAVE = 1;
//待审核
    public const LA_NEED_CHECK = 3;
//部门初审驳回
    public const LA_BEFORE_REJECT = 5;
//审核不通过
    public const LA_NOTPASS = -1;
//待初审
    public const LA_NEED_FIRST_CHECK = 7;
//初审驳回
    public const LA_FIRST_REJECT = 10;
//待部门审核
    public const LA_NEED_DEP_CHECK = 15;
//部门审核驳回
    public const LA_DEP_REJECT = 20;
//待复核
    public const LA_NEED_THIRD = 25;
//复核驳回
    public const LA_THIRD_REJECT = 30;
//审核通过-待公示
    public const LA_PASS = 35;

    public static function getStateDesc($checkState) {
        switch ($checkState) {
            case -1:
                return "<span class='label label-danger'>审核不通过</span>";
            case 1:
                return "<span class='label'>待提交</span>";
            case 3:
                return "<span class='label label-success'>待审核</span>";
            case 5:
                return "<span class='label label-danger'>部门初审驳回</span>";
            case 7:
                return"<span class='label label-success'>待初审</span>";
            case 10:
                return "<span class='label label-danger'>初审驳回</span>";
            case 15:
                return "<span class='label label-success'>待部门审核</span>";
            case 20:
                return "<span class='label label-danger'>部门驳回</span>";
            case 25:
                return "<span class='label label-success'>待复核</span>";
            case 30:
                return "<span class='label label-danger'>复核驳回</span>";
            case 35:
                return "<span class='label label-primary'>复核通过</span>";
            case 40:
                return "<span class='label label-info'>公示</span>";
            case 45:
                return "<span class='label label-danger'>审核不通过</span>";
            case 50:
                return "<span class='label label-warning'>待发证</span>";
            case 55:
                return "<span class='label label-primary'>已发证</span>";
        }
    }

    public static function getStateName($state) {
        switch ($state) {
            case -2:
                return "<span class='label label-success'>待提交</span>";
            case -1:
                return"<span class='label label-success'>审核不通过</span>";
            case 1:
                return "<span class='label label-success'>待审核</span>";
            case 2:
                return "<span class='label label-danger'>审核驳回</span>";
            case 3:
                return"<span class='label label-primary'>审核通过</span>";
            case 4:
                return "<span class='label label-warm'>上级驳回</span>";
            case 10:
                return "<span class='label label-default'>冻结</span>";
            case 8:
                return "<span class='label label-primary'>提交审核</span>";
            case 11:
                return "<span class='label label-primary'>撤销审核</span>";
            case 9:
                return "<span class='label label-primary'>重新提交</span>";
        }
    }

    public static function getStepName($step) {
        switch ($step) {
            case -2:
                return "<span class='label label-primary'>总院审核</span>";
            case -1:
                return "<span class='label label-primary'>部门初审</span>";
            case 0:
                return "<span class='label'>用户操作</span>";
            case 1:
                return"<span class='label label-primary'>初级审核</span>";
            case 2:
                return"<span class='label label-success'>部门审核</span>";
            case 3:
                return"<span class='label label-danger'>复核</span>";
            case 4:
                return"<span class='label label-warning'>核查征信</span>";
            case 5:
                return"<span class='label label-warning'>公示</span>";
            case 6:
                return"<span class='label label-success'>公示再审核</span>";
            case 7:
                return"<span class='label label-warning'>公布</span>";
            case 8:
                return"<span class='label label-info'>发证</span>";
            case 11:
                return"<span class='label label-danger'>审核</span>";
            case 12:
                return"<span class='label label-primary'>撤回审核</span>";
            case 20:
                return"<span class='label label-success'>人才层次变更</span>";
            case 21:
                return"<span class='label label-success'>工作单位变更</span>";
            case 22:
                return"<span class='label label-success'>离职变更</span>";
            case 23:
                return"<span class='label label-success'>银行账号变更</span>";
            case 24:
                return"<span class='label label-success'>基础信息变更</span>";
            case 50:
                return"<span class='label label-primary'>兑现</span>";
            case 55:
                return"<span class='label label-primary'>撤销公布</span>";
            case 60:
                return"<span class='label label-primary'>取消人才</span>";
            case 65:
                return"<span class='label label-primary'>恢复人才</span>";
            case 70:
                return"<span class='label label-danger'>设置审核不通过</span>";
            case 80:
                return"<span class='label label-danger'>审批</span>";
        }
    }

}
